<?php 
/**
* This class builds the optin form design options
*/
class PmillFormOptions
{
	public $formOptions;

	public function __construct($formOptions)
	{
		$this->formOptions = $formOptions;
	}

	function pm_optin_form_options() {
		if( !empty( $this->formOptions ) ) {
		foreach ($this->formOptions as $form_key => $form) {
			$form_key = ( !empty( $form_key ) ) ? $form_key : '' ;
			$id = ( empty( $form_key ) ) ? $form['count'] : $form_key ;
			$optkey = ( empty( $form['optkey'] ) ) ? 'add' : sanitize_text_field( $form['optkey'] ) ;
			$headline = ( empty($form['headline']) ) ? '' : sanitize_text_field( $form['headline'] ) ;
			$desc = ( empty($form['desc']) ) ? '' : stripslashes( $form['desc'] ) ;
			$cover = ( empty($form['cover']) ) ? '' : esc_url( $form['cover'] ) ;
			// coveralign - no need to define
			// size - no need to define
			$borderw = ( empty($form['borderw']) ) ? '' : sanitize_text_field( $form['borderw'] ) ;
			$borderstyle = ( empty($form['borderstyle']) ) ? '' : sanitize_text_field( $form['borderstyle'] ) ;
			$bordercolor = ( empty($form['bordercolor']) ) ? '' : sanitize_text_field( $form['bordercolor'] ) ;
			$bgcolor = ( empty($form['bgcolor']) ) ? '' : sanitize_text_field( $form['bgcolor'] ) ;
			$bgimage = ( empty($form['bgimage']) ) ? '' : esc_url( $form['bgimage'] ) ;
			$bghandling = ( empty($form['bghandling']) ) ? '' : sanitize_text_field( $form['bghandling'] ) ;
			$txt_color = ( empty($form['txt_color']) ) ? '' : sanitize_text_field( $form['txt_color'] ) ;
			$radius = ( empty($form['radius']) ) ? '' : sanitize_text_field( $form['radius'] ) ;
			$ar_code = ( empty($form['ar_code']) ) ? '' : esc_textarea( $form['ar_code'] ) ;
			$ar_name = ( empty($form['ar_name']) ) ? '' : sanitize_text_field( $form['ar_name'] ) ;
			$ar_email = ( empty($form['ar_email']) ) ? '' : sanitize_text_field( $form['ar_email'] ) ;
			$ar_url = ( empty($form['ar_url']) ) ? '' : esc_url( $form['ar_url'] ) ;
			$ar_hidden = ( empty($form['ar_hidden']) ) ? '' : esc_textarea( $form['ar_hidden'] ) ;
			$emailinputText = ( empty($form['emailinputText']) ) ? '' : sanitize_text_field( $form['emailinputText'] ) ;
			$nameinputText = ( empty($form['nameinputText']) ) ? '' : sanitize_text_field( $form['nameinputText'] ) ;
			$button_text = ( empty($form['button_text']) ) ? '' : sanitize_text_field( $form['button_text'] ) ;
			$button_text_color = ( empty($form['button_text_color']) ) ? '' : sanitize_text_field( $form['button_text_color'] ) ;
			$button_color = ( empty($form['button_color']) ) ? '' : sanitize_text_field( $form['button_color'] ) ;
		?>
		<div id="form-<?php echo $id; ?>" class="added_form" data-id="<?php echo $id; ?>">
		<h3>
			Gate #<?php echo $id; ?> <a class="remove_form">Remove</a>
		</h3>
		<div><table>
			<tr>
				<th>Headline</th>
				<td><input type="text" id="headline-<?php echo $id; ?>" class="headline regular-text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][headline]" class="large-text" value="<?php echo $headline; ?>">
				</td>
			</tr>
			<tr>
				<th>Copy</th>
				<td>
					<?php
					$settings = array(
						'textarea_name' => 'pm_lgate_options['.$optkey.']['.$form_key.'][desc]',
						'teeny' => true,
						'media_buttons' => false,
						'editor_class' => 'desc'
						);
					wp_editor( $desc, 'desc-'.$id, $settings );
					?><br>
					<small>Some HTML is allowed</small>
			</tr>					
			<tr>
				<th>Text Color</th>
				<td>
					<input type="text" class="color-picker" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][txt_color]" id="txt_color-<?php echo $id; ?>" value="<?php echo $txt_color; ?>">
				</td>
			</tr>
			<tr>
				<th>Cover image</th>
				<td><a href="#" class="button cover_upload">Upload Cover</a>
				  <input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][cover]" id="cover-<?php echo $id; ?>" class="cover regular-text" value="<?php echo $cover; ?>">
				  <p><img src="<?php echo $cover; ?>" id="coverimg-<?php echo $id; ?>" class="coverimg" /> <a href="#" id="removecoverimg-<?php echo $id; ?>" class="removecoverimg">Remove Image</a></p></td>
			</tr>
			<tr>
				<th>Align cover image</th>
				<td><label for="coveralignl-<?php echo $id; ?>">Left</label>
				<input type="radio" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][coveralign]" class="coveralign" value="l" id="coveralignl-<?php echo $id; ?>" <?php checked( $form['coveralign'], 'l' ); ?>>
			  <label for="coveralignr-<?php echo $id; ?>">Right</label>
				<input type="radio" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][coveralign]" class="coveralign" value="r" id="coveralignr-<?php echo $id; ?>" <?php checked( $form['coveralign'], 'r' ); ?>></td>
			</tr>
			<tr>
				<th>Popup Size</th>
				<td>
				<label for="regular-<?php echo $id; ?>">Regular</label>
				<input type="radio" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][size]" class="size regular" id="regular-<?php echo $id; ?>" value="regular" <?php checked( $form['size'], 'regular' ); ?>>
				<label for="mega-<?php echo $id; ?>">Mega</label>
				<input type="radio" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][size]" class="size mega" id="mega-<?php echo $id; ?>" value="mega" <?php checked( $form['size'], 'mega' ); ?>></td>
			</tr>
			<tr>
				<th>Popup Border</th>
				<td>
					<table>
						<tr>
							<td>
								<label for="borderw-<?php echo $id; ?>">Width</label>
								<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][borderw]" class="borderw" id="borderw-<?php echo $id; ?>" value="<?php echo $borderw; ?>">
							</td>
							<td>
								<label>Style</label>
								<select name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][borderstyle]" id="borderstyle-<?php echo $id; ?>">
									<option value="none" <?php selected( $borderstyle, 'none' ); ?>>None</option>
									<option value="solid" <?php selected( $borderstyle, 'solid' ); ?>>Solid</option>
									<option value="dotted" <?php selected( $borderstyle, 'dotted' ); ?>>Dotted</option>
									<option value="dashed" <?php selected( $borderstyle, 'dashed' ); ?>>Dashed</option>
									<option value="double" <?php selected( $borderstyle, 'double' ); ?>>Double</option>
								</select>
							</td>
							<td>
								<label for="bordercolor-<?php echo $id; ?>">Color</label>
								<input type="text" class="color-picker" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][bordercolor]" class="bordercolor" id="bordercolor-<?php echo $id; ?>" value="<?php echo $bordercolor; ?>">
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<th>Popup Background</th>
				<td>
					<table>
						<tr>
							<td>
								<label for="bgcolor-<?php echo $id; ?>">Color</label>
								<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][bgcolor]" id="bgcolor-<?php echo $id; ?>" class="color-picker bgcolor" value="<?php echo $bgcolor; ?>">
							</td>
						</tr>
						<tr>
							<td>
								<label for="bgimage-<?php echo $id; ?>">Image</label>
								<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][bgimage]" class="bgimage" id="bgimage-<?php echo $id; ?>" value="<?php echo $bgimage; ?>">
								<a href="#" class="button bgimage_upload">Upload Your Own</a>
								<p><img src="<?php echo $bgimage; ?>" id="bgimage_img-<?php echo $id; ?>" /> <a href="#" id="removebgimageimg-<?php echo $id; ?>" class="removebgimageimg">Remove Image</a></p>
							</td>
						</tr>
						<tr>
							<td>
								<label for="bghandling-<?php echo $id; ?>">Handling</label>
								<select name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][bghandling]" id="bghandling-<?php echo $id; ?>">
									<option value="no-repeat" <?php selected( $bghandling, 'no-repeat' ); ?>>No Repeat</option>
									<option value="repeat" <?php selected( $bghandling, 'repeat' ); ?>>Repeat</option>
									<option value="repeat-x" <?php selected( $bghandling, 'repeat-x' ); ?>>Repeat Horizontally</option>
									<option value="repeat-y" <?php selected( $bghandling, 'repeat-y' ); ?>>Repeat Vertically</option>
									<option value="cover" <?php selected( $bghandling, 'cover' ); ?>>Cover (fill)</option>
								</select>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<th>Popup Box Radius</th>
				<td>
					<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][radius]" id="radius-<?php echo $id; ?>" value="<?php echo $radius; ?>">px (numbers only)
				</td>
			</tr>
			<tr>
				<th>Optin form code</th>
				<td><textarea name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][ar_code]" id="ar_code-<?php echo $id; ?>" class="ar_code large-text" cols="30" rows="10"><?php echo $ar_code; ?></textarea><br>
				If your optin form doesn't work as expected, <a href="#ar_advance" id="viewarcode-<?php echo $id; ?>" class="viewarcode">view autoresponder code</a> to check.
				<div id="arcode_hdn_div-<?php echo $id; ?>"></div>
				<div id="arcode_hdn_div2-<?php echo $id; ?>"></div>
			<div class="ar_advance">
				<label for="ar_name-<?php echo $id; ?>">Optin form name field</label>
				<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][ar_name]" id="ar_name-<?php echo $id; ?>" class="ar_name regular-text" value="<?php echo $ar_name; ?>">

				<label for="ar_email-<?php echo $id; ?>">Optin form email field</label>
				<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][ar_email]" id="ar_email-<?php echo $id; ?>" class="ar_email regular-text" value="<?php echo $ar_email; ?>">

				<label for="ar_url-<?php echo $id; ?>">Optin form URL</label>
				<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][ar_url]" id="ar_url-<?php echo $id; ?>" class="ar_url regular-text"  value="<?php echo $ar_url; ?>">

				<label for="ar_advance-<?php echo $id; ?>">Optin form hidden fields</label>
				<textarea id="ar_hidden-<?php echo $id; ?>" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][ar_hidden]" cols="30" rows="10" class="ar_hidden"><?php echo $ar_hidden; ?></textarea>
				</td>
			</div></td>
			</tr>
			<tr>
				<th>Email input text</th>
				<td>
					<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][emailinputText]" id="emailinputText-<?php echo $id; ?>" class="regular-text" value="<?php echo $emailinputText; ?>">
				</td>
			</tr>
			<tr>
				<th>Name input text</th>
				<td>
					<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][nameinputText]" id="nameinputText-<?php echo $id; ?>" class="regular-text" value="<?php echo $nameinputText; ?>">
				</td>
			</tr>
			<tr>
				<th>Submit button text</th>
				<td>
					<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][button_text]" id="button_text-<?php echo $id; ?>" class="regular-text" value="<?php echo $button_text; ?>">
				</td>
			</tr>
			<tr>
				<th>Submit button text color</th>
				<td class="submit_button_text_color">
					<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][button_text_color]" class="color-picker" value="<?php echo $button_text_color; ?>" id="button_text_color-<?php echo $id; ?>">
				</td>
			</tr>
			<tr>
				<th>Submit button color</th>
				<td class="submit_button_color">
					<input type="text" name="pm_lgate_options[<?php echo $optkey; ?>][<?php echo $form_key; ?>][button_color]" class="color-picker" value="<?php echo $button_color; ?>" id="button_color-<?php echo $id; ?>">
				</td>
			</tr>
		</table></div>
		</div>
		<?
		}
	}
	}
}
?>