<?php
/*
 * Add buttons to visual editor
 */
function pm_lgate_tmcebuttons($post) {
	
	// Don't bother if current user doesn't have permissions
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
	
	// Add only in rich editor mode
	if( get_user_option( 'rich_editing' ) == 'true' ) {
		global $typenow;
            if (empty($typenow) && !empty($_GET['post'])) {
                $post = get_post($_GET['post']);
                $typenow = $post->post_type;
			} elseif (empty($typenow) && !empty($_GET['post_type'])) {
                $typenow = $_GET['post_type'];
			}
	}
	//if( 'spp_elp_sales' == $typenow || 'spp_elp_optin' == $typenow ) {
		add_filter('mce_external_plugins', 'pm_lgate_buttons_mce_plugin');
		add_filter( 'mce_buttons', 'pm_lgate_add_tmce_buttons' );
	//}
}

function pm_lgate_add_tmce_buttons( $buttons ) {
    array_push( $buttons, '|', 'pmlgatebuttons' );
    return $buttons;
}
add_action( 'init', 'pm_lgate_tmcebuttons' );

/*
 * Bring in button
 */
 function pm_lgate_buttons_mce_plugin( $plugins ) {
 	$wpversion = get_bloginfo( 'version' );
	// this plugin file will work the magic of our button
	if( $wpversion > '3.8.4' ) {	
		$plugins['pmlgatebuttons'] = PM_LGATE_DIR . 'modules/libs/shortcode-dialog.js';
	} //else {
	//	$plugins['pmlgatebuttons'] = PM_LGATE_DIR . 'modules/libs/shortcode-dialog-3.0.js';
	//}
		return $plugins;
	}

add_action ( 'admin_footer', 'pm_lgate_editor_modal_dialog' );
function pm_lgate_editor_modal_dialog() {
	$pm_lgate_opts = get_option('pm_lgate_options');
	$additional_gates = ( !empty($pm_lgate_opts['add'] ) ) ? $pm_lgate_opts['add'] : '' ;
	global $post;
	$currScreen = get_current_screen();
	if( $currScreen -> base == 'post' ) {
		?>
		<div id="pm_lgate_shortcode_modal_dialog" class="dialog" style="display: none;">
			<div id="pm-lgate-dialog-response"></div>
			<div>
				Select a link gate to add:
				<select name="pm_lgate_select_gate" id="pm_lgate_gate_selector">
					<option value="0">None</option>
					<?php
					if( !empty( $additional_gates ) ) {
						foreach ($additional_gates as $gate_key => $gate) {
							?>
							<option value="<?php echo $gate_key; ?>"><?php echo $gate['headline']; ?></option>
							<?php
						}
					}
					?>
				</select>
				<input type="hidden" name="pm_lgate_postid" value="<?php echo $post->ID; ?>">
			</div>
			<p style="text-align: center;"><button id="pm-lgate-insert" class="button-primary">Insert Into Editor</button></p>
		</div>
		<script>
		jQuery(document).ready( function($){
			$('#pm-lgate-insert').on('click', function(e) {
			e.preventDefault();
			//var created_img = $('#spp-isim-created-img-preview').html();
			var selected_gate = $('#pm_lgate_gate_selector :selected').val();
			var content = tinymce.activeEditor.selection.getContent();
			if( selected_gate == '0') {				
				var gateLink = '<a href="#gate-id-1" id="gate-1" class="pmlinkgate">' + content + '</a>';
			} else {
				var gateLink = '<a href="#gate-id-' + selected_gate + '" id="gate-' + selected_gate + '" class="pmlinkgate">' + content + '</a>';
			}

			console.log(content);
			tinymce.activeEditor.execCommand('mceInsertContent', false, gateLink);
			top.tinymce.activeEditor.windowManager.close();
		});
		}); // global end
		</script>
		<?php	
	}
}
?>