<?php 
add_action( 'wp_ajax_pm_lgate_do_ajax_request', 'pm_lgate_process_ajax' );
function pm_lgate_process_ajax() {
	// Verify
	if( !isset( $_POST['nonce'] ) || !wp_verify_nonce( $_POST['nonce'], 'pm_lgate_options' ) )
		die( 'Nonce not present or valid' );
	if( ( $_POST['is_admin'] != 1 ) || ( $_POST['is_admin'] != true ) )
		die( 'You do not have admin privileges to perform this action' );
	$count = ( isset($_POST['count']) ) ? sanitize_text_field( $_POST['count'] ) : '1' ;
	$formOptions = array(
					$count => array(
				  		'count' => $count,
				  		'optkey' => 'add',
						'headline' => '',
						'desc' => '',
						'cover' =>  '',
						'coveralign' =>  'l',
						'size' =>  'regular',
						'borderw' => '0',
						'borderstyle' => 'none',
						'bordercolor' => '',
						'bgcolor' => '',
						'bgimage' => '',
						'bghandling' => 'none',
						'txt_color' => '',
						'radius' => '0',
						'ar_code' =>  '',
						'ar_name' => '',
						'ar_email' => '',
						'ar_url' => '',
						'ar_hidden' => '',
						'emailinputText' => 'Your email',
						'nameinputText' => 'Your name',
						'button_text' => 'Subscribe',
				  		'button_color' => '#CC0403',
						)
					);
	$add_form = new PmillFormOptions( $formOptions );
	echo $add_form->pm_optin_form_options();

	//print_r($_POST); // Comment out when done
	// Don't forget this or you'll get a 0 added to response
	die();
}

// Footer for popup
add_action( 'wp_footer', 'pm_lgate_footer' );
function pm_lgate_footer() {
	global $post;
	$gates = get_option('pm_lgate_options');
	$gates = $gates['add'];
	$postMeta = get_post_meta( $post->ID, '_pm_lgate_postoptions', true );

	// Get post meta gate_id array
	if( is_singular() && !empty($postMeta) ) {
	// Enqueue CSS / Scripts
	wp_enqueue_style('pm_lgate_front_css', PM_LGATE_DIR.'modules/css/front.css');
	wp_enqueue_script('pm_lgate_front_js', PM_LGATE_DIR.'modules/js/front.js', array( 'jquery' ));
	$gateIDS = $postMeta['gateID'];
	//print_r($post);
	if( !empty( $gates ) ) {
		// Foreach gate_id - output the box
		foreach ($gateIDS as $gateKey => $gateID) {
			// Set up variables
			$coveralign = ( !empty( $gates[$gateID]['coveralign'] ) && $gates[$gateID]['coveralign'] == 'l' ) ? 'alignleft' : 'alignright' ;
			$nameinputText = ( !empty( $gates[$gateID]['nameinputText'] ) ) ? stripcslashes( $gates[$gateID]['nameinputText'] ) : '' ;
			$emailinputText = ( !empty( $gates[$gateID]['emailinputText'] ) ) ? stripcslashes( $gates[$gateID]['emailinputText'] ) : '' ;
			$button_text = ( !empty( $gates[$gateID]['button_text'] ) ) ? stripcslashes( $gates[$gateID]['button_text'] ) : '' ;
			$button_color = ( !empty( $gates[$gateID]['button_color'] ) ) ? 'background-color: ' . stripcslashes( $gates[$gateID]['button_color'] ) . '; ' : '' ;
			$size = ( !empty( $gates[$gateID]['size'] ) ) ? stripcslashes( $gates[$gateID]['size'] ) : '' ;
			$borderw = ( !empty( $gates[$gateID]['borderw'] ) ) ? 'border-width: ' . stripcslashes( $gates[$gateID]['borderw'] ) . 'px; ' : '' ;
			$borderstyle = ( !empty( $gates[$gateID]['borderstyle'] ) ) ? 'border-style: ' . stripcslashes( $gates[$gateID]['borderstyle'] ) . '; ' : '' ;
			$bordercolor = ( !empty( $gates[$gateID]['bordercolor'] ) ) ? 'border-color: ' . stripcslashes( $gates[$gateID]['bordercolor'] ) . '; ' : '' ;
			$radius = ( !empty( $gates[$gateID]['radius'] ) ) ? 'border-radius: ' . stripcslashes( $gates[$gateID]['radius'] ) . 'px; ' : 'empty' ;
			$bgcolor = ( !empty( $gates[$gateID]['bgcolor'] ) ) ? 'background-color: ' . stripcslashes( $gates[$gateID]['bgcolor'] ) . '; ' : '' ;
			$bgimage = ( !empty( $gates[$gateID]['bgimage'] ) ) ? 'background-image: url(\'' . esc_url( $gates[$gateID]['bgimage'] ) . '\'); ' : '' ;
			$bghandling = ( !empty( $gates[$gateID]['bghandling'] ) && $gates[$gateID]['bghandling'] == 'cover' ) ? 'background-size: ' . stripcslashes( $gates[$gateID]['bghandling'] ) . '; -moz-background-size: ' . stripcslashes( $gates[$gateID]['bghandling'] ) . '; -webkit-background-size: ' . stripcslashes( $gates[$gateID]['bghandling'] ) . '; ' : ' background-repeat: ' . stripcslashes( $gates[$gateID]['bghandling'] ) . ';' ;
			$bgcoverposition = ( !empty( $gates[$gateID]['bghandling'] ) && $gates[$gateID]['bghandling'] == 'cover' ) ? 'background-position: center center;' : '' ;
			$button_text_color = ( !empty( $gates[$gateID]['button_text_color'] ) ) ? 'color: ' . stripcslashes( $gates[$gateID]['button_text_color'] ) . ';' : '' ;
			$txt_color = ( !empty( $gates[$gateID]['txt_color'] ) ) ? 'color: ' . stripcslashes( $gates[$gateID]['txt_color'] ) . ';' : '' ;
			$input_class = ( !empty( $gates[$gateID]['ar_name'] ) ) ? 'pm-lgate-namemail' : 'pm-lgate-mailonly' ;
			?>
			<div id="gate-id-<?php echo $gateID; ?>" class="pm-lgate-<?php echo $size; ?> pm-lgate-white-popup mfp-hide" style="<?php echo $borderw.$borderstyle.$bordercolor.$radius.$bgcolor.$bgimage.$bghandling.$bgcoverposition.$txt_color; ?>">
				<?php //Output headline
				if ( !empty( $gates[$gateID]['headline'] ) ) { ?>
					<h1 style="<?php echo $txt_color; ?>"><?php echo stripcslashes( $gates[$gateID]['headline'] ); ?></h1>
				<?php }
				//Output cover
				if( !empty( $gates[$gateID]['cover'] ) ) { ?>
					<img src="<?php echo esc_url( $gates[$gateID]['cover'] ); ?>" class="<?php echo $coveralign; ?>">
				<?php }
				//Output description
				if ( !empty( $gates[$gateID]['desc'] ) ) { ?>
					<div class="pm-lgate-desc"><?php echo stripcslashes( $gates[$gateID]['desc'] ); ?></div>
				<?php }
				//Output AR
				if( !empty( $gates[$gateID]['ar_code'] ) ) { ?>
					<div class="pm-lgate-ar">
						<form action="<?php echo $gates[$gateID]['ar_url']; ?>">
						<?php if ( !empty( $gates[$gateID]['ar_name'] ) ) { ?>
							<input type="text" name="<?php echo $gates[$gateID]['ar_name']; ?>" value="" placeholder="<?php echo $nameinputText; ?>" class="<?php echo $input_class; ?>">
						<?php } ?>
							<input type="text" name="<?php echo $gates[$gateID]['ar_email']; ?>" value="" placeholder="<?php echo $emailinputText; ?>" class="<?php echo $input_class; ?>">
							<?php echo $gates[$gateID]['ar_hidden']; ?>
							<input type="submit" name="gate-submit-<?php echo $gateID; ?>" value="<?php echo $button_text; ?>" class="pm-lgate-submit <?php echo $input_class; ?>" style="<?php echo $button_color.$button_text_color; ?>">
						</form>
					</div>
				<?php }
				?>
			</div>
			<?php
		}
	}
	} elseif ( is_front_page() || is_archive() && !empty($gates) ) {
		// Enqueue CSS/Scripts
		wp_enqueue_style('pm_lgate_front_css', PM_LGATE_DIR.'modules/css/front.css');
		wp_enqueue_script('pm_lgate_front_js', PM_LGATE_DIR.'modules/js/front.js', array( 'jquery' ));
		// Foreach gate_id - output the box
		//print_r($gates);
		foreach ($gates as $gateID => $gate) {
			//print_r($gate);
			// Set up variables
			$coveralign = ( !empty( $gate['coveralign'] ) && $gate['coveralign'] == 'l' ) ? 'alignleft' : 'alignright' ;
			$nameinputText = ( !empty( $gate['nameinputText'] ) ) ? stripcslashes( $gate['nameinputText'] ) : '' ;
			$emailinputText = ( !empty( $gate['emailinputText'] ) ) ? stripcslashes( $gate['emailinputText'] ) : '' ;
			$button_text = ( !empty( $gate['button_text'] ) ) ? stripcslashes( $gate['button_text'] ) : '' ;
			$button_color = ( !empty( $gate['button_color'] ) ) ? 'background-color: ' . stripcslashes( $gate['button_color'] ) . '; ' : '' ;
			$size = ( !empty( $gate['size'] ) ) ? stripcslashes( $gate['size'] ) : '' ;
			$borderw = ( !empty( $gate['borderw'] ) ) ? 'border-width: ' . stripcslashes( $gate['borderw'] ) . 'px; ' : '' ;
			$borderstyle = ( !empty( $gate['borderstyle'] ) ) ? 'border-style: ' . stripcslashes( $gate['borderstyle'] ) . '; ' : '' ;
			$radius = ( !empty( $gate['radius'] ) ) ? 'border-radius: ' . stripcslashes( $gate['radius'] ) . 'px; ' : '' ;
			$bordercolor = ( !empty( $gate['bordercolor'] ) ) ? 'border-color: ' . stripcslashes( $gate['bordercolor'] ) . '; ' : '' ;
			$bgcolor = ( !empty( $gate['bgcolor'] ) ) ? 'background-color: ' . stripcslashes( $gate['bgcolor'] ) . '; ' : '' ;
			$bgimage = ( !empty( $gate['bgimage'] ) ) ? 'background-image: url(\'' . esc_url( $gate['bgimage'] ) . '\'); ' : '' ;
			$bghandling = ( !empty( $gate['bghandling'] ) && $gate['bghandling'] == 'cover' ) ? 'background-size: ' . stripcslashes( $gate['bghandling'] ) . '; -moz-background-size: ' . stripcslashes( $gate['bghandling'] ) . '; -webkit-background-size: ' . stripcslashes( $gate['bghandling'] ) . '; ' : ' background-repeat: ' . stripcslashes( $gate['bghandling'] ) . ';' ;
			$bgcoverposition = ( !empty( $gate['bghandling'] ) && $gate['bghandling'] == 'cover' ) ? 'background-position: center center;' : '' ;
			$button_text_color = ( !empty( $gate['button_text_color'] ) ) ? 'color: ' . stripcslashes( $gate['button_text_color'] ) . ';' : '' ;
			$txt_color = ( !empty( $gate['txt_color'] ) ) ? 'color: ' . stripcslashes( $gate['txt_color'] ) . ';' : '' ;
			?>
			<div id="gate-id-<?php echo $gateID; ?>" class="pm-lgate-<?php echo $size; ?> pm-lgate-white-popup mfp-hide" style="<?php echo $borderw.$borderstyle.$bordercolor.$radius.$bgcolor.$bgimage.$bghandling.$bgcoverposition.$txt_color; ?>">
				<?php //Output headline
				if ( !empty( $gate['headline'] ) ) { ?>
					<h1 style="<?php echo $txt_color; ?>"><?php echo stripcslashes( $gate['headline'] ); ?></h1>
				<?php }
				//Output cover
				if( !empty( $gate['cover'] ) ) { ?>
					<img src="<?php echo esc_url( $gate['cover'] ); ?>" class="<?php echo $coveralign; ?>">
				<?php }
				//Output description
				if ( !empty( $gate['desc'] ) ) { ?>
					<?php echo stripcslashes( $gate['desc'] ); ?>
				<?php }
				//Output AR
				if( !empty( $gate['ar_code'] ) ) { ?>
					<div class="pm-lgate-ar">
						<form action="<?php echo $gate['ar_url']; ?>">
						<?php if ( !empty( $gate['ar_name'] ) ) { ?>
							<input type="text" name="<?php echo $gate['ar_name']; ?>" value="" placeholder="<?php echo $nameinputText; ?>">
						<?php } ?>
							<input type="text" name="<?php echo $gate['ar_email']; ?>" value="" placeholder="<?php echo $emailinputText; ?>">
							<?php echo $gate['ar_hidden']; ?>
							<input type="submit" name="gate-submit-<?php echo $gate; ?>" value="<?php echo $button_text; ?>" class="pm-lgate-submit" style="<?php echo $button_color.$button_text_color; ?>">
						</form>
					</div>
				<?php }
				?>
			</div>
			<?php
		}
	//print_r($gates);
	}
}

// TinyMCE dialog Ajax
add_action( 'wp_ajax_pm_lgate_postmeta_do_ajax_request', 'pm_lgate_postmeta_process_ajax' );
function pm_lgate_postmeta_process_ajax() {
	// Verify
	if( !isset( $_POST['nonce'] ) || !wp_verify_nonce( $_POST['nonce'], 'pm_lgate_options' ) )
		die( 'Nonce not present or valid' );
	if( $_POST['is_admin'] != true )
		die( 'You do not have admin privileges to perform this action' );
	$gateID = ( is_numeric( $_POST['gateID'] ) ) ? $_POST['gateID'] : '';
	$postID = ( is_numeric( $_POST['postID'] ) ) ? $_POST['postID'] : '';
	$postMeta = get_post_meta( $postID, '_pm_lgate_postoptions', true );
	
	if( !empty( $gateID ) ) {
		//print_r($postMeta);
		// Build gateID array, checks if gate ID is already included in post
		if( !empty( $postMeta['gateID'] ) && in_array($gateID, $postMeta['gateID']) ) {
			return $postMeta;
		} else {
			$postMeta['gateID'][] = $gateID;
		}

		// update meta with post array.
		//echo "Gate saved. Click Insert to add the shortcode now.";
		update_post_meta( $postID, '_pm_lgate_postoptions', $postMeta, '' );

	// Don't forget this or you'll get a 0 added to response
	die();
	}
}
?>