jQuery(document).ready( function($){
	// wpColorPicker
	$('.color-picker').wpColorPicker();

	// Reloads color-picker after ajax call
	$(document).ajaxComplete( function(event, jqXhr, settings) {
		$('.color-picker').wpColorPicker();
		tinymce.init({
			selector:'.desc',
			menubar: false,
			toolbar1: "bold, italic, underline, blockquote, strikethrough, bullist, numlist, alignleft, aligncenter, alignright, link",
		});
	});

	// Reveal AR code
	$('.ar_advance').hide();
	$('#viewarcode').click( function() {
		$('.ar_advance').show();
	});
	$(document).on('click', '.viewarcode', function() {
		var id = $(this).closest('.added_form').data('id');
		$('.ar_advance').show();
		return false;
	});

	// Reset
	$('#reset-generic').on('click', function(e) {
		e.preventDefault();
		$('#ar_hidden, #ar_name, #ar_email, #ar_url, #ar_code').val('');
	});
	$('#reset-aweber').on('click', function(e) {
		e.preventDefault();
		$('#aw_appid, #awTrackingCode, #awListName').val('');
	});
	$('#reset-popopts').on('click', function(e) {
		e.preventDefault();
		$('#headline, #subhead, #tqheadline, #tqsubhead, #tqredirect').val('');
		$('#incloptin').removeAttr('checked');
	});
	$('#reset-misc').on('click', function(e) {
		e.preventDefault();
		$('#del_opt_settings').removeAttr('checked');
	});

	// Remove form
	$(document).on('click', '.remove_form', function(e) {
	//var added_form = html(response);
		e.preventDefault();
		$(this).closest('.added_form').remove();
	});

	// Remove images
	$(document).on('click', '.removecoverimg', function() {
		var id = $(this).closest('.added_form').data('id');
		console.log(id);
		$('#cover-'+id).val('');
		$('#coverimg-'+id).attr('src', '');
		return false;
	});
	$(document).on('click', '.removebgimageimg', function() {
		var id = $(this).closest('.added_form').data('id');
		$('#bgimage-'+id).val('');
		$('#bgimage_img-'+id).attr('src', '');
		return false;
	});

	// Accordion
	$('#add_form_list').accordion({
		header: '> div.added_form > h3',
		heightStyle: 'content',
		collapsible: true,
		active: false
	});
	// Add forms
	$(document).on('click', '.add_a_form', function(e) {
		e.preventDefault();
		
		var lgate_nonce = pm_lgate_object.nonce;
		var lgate_is_admin = pm_lgate_object.is_admin;
		var initial_count = 1; //Initial count
		var count = $('.added_form:last').data('id');

		// data object to send to server
		data = {
			action: 'pm_lgate_do_ajax_request',
			nonce: lgate_nonce,
			is_admin: lgate_is_admin,
			count: count + 1
		};

		$.post(ajaxurl, data, function(response) {
			//alert(response);
			$('#add_form_list').append(response);
			$('#add_form_list').accordion('destroy').accordion({
				header: '> div.added_form > h3',
				heightStyle: 'content',
				collapsible: true,
				active: count
			});			
			$(document).scrollTop( $('#form-' + count).offset().top );
			$('.ar_advance').hide();
		})

		//console.log('Last id is:'+lastdiv);
		//return false;
		 e.stopImmediatePropagation(); 
	});	
}); // global ended