<?php 
add_shortcode( 'pm_lgate', 'pm_lgate_shortcode_handler' );
function pm_lgate_shortcode_handler( $atts, $content = null ) {
	// Get shortcode arguments
	extract( shortcode_atts( array(
		'gate_id' => '1'
		), $atts ) );
	$pm_lgate_options = get_option('pm_lgate_options');

	if ( !empty($pm_lgate_options['add']) ) { // Use the specified form
		$headline = ( !empty($pm_lgate_options['add'][$gate_id]['headline']) ) ? stripcslashes( $pm_lgate_options['add'][$gate_id]['headline'] ) : '' ;
		$desc = ( !empty( $pm_lgate_options['add'][$gate_id]['desc'] ) ) ? stripcslashes( $pm_lgate_options['add'][$gate_id]['desc'] ) : '';
		$coveralign = ( !empty( $pm_lgate_options['add'][$gate_id]['coveralign'] ) && $pm_lgate_options['add'][$gate_id]['coveralign'] == 'r' ) ? 'alignright' : 'alignleft' ;
		$cover = ( !empty( $pm_lgate_options['add'][$gate_id]['cover'] ) ) ? '<img src="'.esc_url($pm_lgate_options['add'][$gate_id]['cover']).'" alt="" class="'.$coveralign.'">' : '' ;
		$size = ( !empty( $pm_lgate_options['add'][$gate_id]['size'] ) && $pm_lgate_options['add'][$gate_id]['size'] == 'regular' ) ? 'regular' : 'mega' ;
		$borderw = ( !empty( $pm_lgate_options['add'][$gate_id]['borderw'] ) ) ? 'border-width: '.stripcslashes( $pm_lgate_options['add'][$gate_id]['borderw'] ).'px;' : 'none' ;
		$borderstyle = ( !empty( $pm_lgate_options['add'][$gate_id]['borderstyle'] ) ) ? stripcslashes( $pm_lgate_options['add'][$gate_id]['borderstyle'] ) : '';
		$bordercolor = ( !empty( $pm_lgate_options['add'][$gate_id]['bordercolor'] ) ) ? stripcslashes( $pm_lgate_options['add'][$gate_id]['bordercolor'] ).';' : '' ;
		$bgcolor = ( !empty( $pm_lgate_options['add'][$gate_id]['bgcolor'] ) ) ? 'background-color: '.stripcslashes( $pm_lgate_options['add'][$gate_id]['bgcolor'] ).';' : '' ;
		$bgimage = ( !empty( $pm_lgate_options['add'][$gate_id]['bgimage'] ) ) ? ' background-image: url(\''.esc_url($pm_lgate_options['add'][$gate_id]['bgimage']).'\');' : '' ;
		$bghandling = ( !empty( $pm_lgate_options['add'][$gate_id]['bghandling'] ) && $pm_lgate_options['add'][$gate_id]['bghandling'] == 'cover' ) ? ' background-size: '.stripcslashes($pm_lgate_options['add'][$gate_id]['bghandling']).'; background-position: center center;' : 'background-repeat: '.stripcslashes($pm_lgate_options['add'][$gate_id]['bghandling']).';' ;
		$txt_color = ( !empty( $pm_lgate_options['add'][$gate_id]['txt_color'] ) ) ? 'color: '.stripcslashes( $pm_lgate_options['add'][$gate_id]['txt_color'] ).';' : '' ;
		$radius = ( !empty( $pm_lgate_options['add'][$gate_id]['radius'] ) ) ? 'border-radius: '.stripcslashes( $pm_lgate_options['add'][$gate_id]['radius'] ).'px;' : '' ;
		$ar_code = ( !empty( $pm_lgate_options['add'][$gate_id]['ar_code'] ) ) ? stripcslashes( $pm_lgate_options['add'][$gate_id]['ar_code'] ) : '';
		$nameinputText = ( !empty( $pm_lgate_options['add'][$gate_id]['nameinputText'] ) ) ? stripcslashes( $pm_lgate_options['add'][$gate_id]['nameinputText'] ) : '' ;
		$ar_name = ( !empty( $pm_lgate_options['add'][$gate_id]['ar_name'] ) ) ? '<input type="text" name="'.$pm_lgate_options['add'][$gate_id]['ar_name'].'" placeholder="'.$nameinputText.'" id="pm-lgate-name" />' : '' ;
		$ar_email = ( !empty( $pm_lgate_options['add'][$gate_id]['ar_email'] ) ) ? $pm_lgate_options['add'][$gate_id]['ar_email'] : '' ;
		$ar_url = ( !empty( $pm_lgate_options['add'][$gate_id]['ar_url'] ) ) ? esc_url( $pm_lgate_options['add'][$gate_id]['ar_url'] ) : '' ;
		$ar_hidden = ( !empty( $pm_lgate_options['add'][$gate_id]['ar_hidden'] ) ) ? stripcslashes( $pm_lgate_options['add'][$gate_id]['ar_hidden'] ) : '' ;
		$emailinputText = ( !empty( $pm_lgate_options['add'][$gate_id]['emailinputText'] ) ) ? stripcslashes( $pm_lgate_options['add'][$gate_id]['emailinputText'] ) : '' ;
		$button_text = ( !empty( $pm_lgate_options['add'][$gate_id]['button_text'] ) ) ? stripcslashes( $pm_lgate_options['add'][$gate_id]['button_text'] ) : '' ;
		$button_color = ( !empty( $pm_lgate_options['add'][$gate_id]['button_color'] ) ) ? 'pm-lgate-button pm-lgate-'.stripcslashes( $pm_lgate_options['add'][$gate_id]['button_color'] ).'' : '' ;
	}
	
	// Enqueue CSS
	wp_enqueue_style('pm_lgate_front_css', PM_LGATE_DIR.'modules/css/front.css');
	//wp_enqueue_style('pm_lgate_button_css', PM_LGATE_DIR.'modules/css/buttons.css');
	wp_enqueue_script('pm_lgate_front_js', PM_LGATE_DIR.'modules/js/front.js', array( 'jquery' ));

	$out = "";
	$out .="<a href='#gate-id-$gate_id' id='gate-$gate_id' class='pmlinkgate'>$content</a>";

	return $out;
}
?>